import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

import { MaterialModule } from 'app/commons/ui/material/material.module';

import { ModifyComponent } from './component/modify.component';
import { SigninComponent } from './component/signin.component';
import { SignupComponent } from './component/signup.component';
import { ResetPasswordComponent } from './component/reset-password.component';
import { MemberService } from './service/member.service';
import { AuthGuard } from './guard/auth.guard';

import { MemberStoreModule } from './member-store.module';

export const COMPONENTS = [
  ModifyComponent,
  SigninComponent,
  SignupComponent,
  ResetPasswordComponent,
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule,
    FormsModule,
    ReactiveFormsModule,
    MaterialModule,
    MemberStoreModule,
  ],
  declarations: COMPONENTS,
  exports: COMPONENTS,
  providers: [
    AuthGuard,
    MemberService,
  ],
})
export class MemberModule { }
